## org.biojava.bio.program.hmmer
Class ProfileEmissionState

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.dp.SimpleEmissionState
              org.biojava.bio.program.hmmer.ProfileEmissionState

All Implemented Interfaces:
  Serializable, Annotatable, EmissionState, State, Trainable, AtomicSymbol, BasisSymbol, Symbol, Changeable

    public class ProfileEmissionState

extends SimpleEmissionState

A state in a HMMer model.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from class org.biojava.bio.dp.SimpleEmissionState
`annotationForwarder, distForwarder`

Fields inherited from interface org.biojava.bio.dp.EmissionState
`ADVANCE, DISTRIBUTION`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`ProfileEmissionState(String str, Annotation ann, int[] adv, Distribution dis)`

Method Summary
`protected static double` `log2(double x)`
`double` `logProb(Symbol sym)`

Methods inherited from class org.biojava.bio.dp.SimpleEmissionState
`getAdvance, getAnnotation, getBases, getChangeSupport, getDistribution, getMatches, getName, getSymbols, getToken, registerWithTrainer, setAdvance, setAnnotation, setDistribution, setName`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### ProfileEmissionState

    public ProfileEmissionState(String str,
                                Annotation ann,
                                int[] adv,
                                Distribution dis)

Method Detail

### logProb

    public double logProb(Symbol sym)
                   throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### log2

    protected static double log2(double x)